Debian Bug report logs - #706434
cifs-utils: Can the recommend on winbind be changed to suggests?

version graph

Package: winbind; Maintainer for winbind is Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>; Source for winbind is src:samba.

Reported by: Petter Reinholdtsen <pere@hungry.com>

Date: Tue, 30 Apr 2013 08:57:02 UTC

Severity: important

Found in version 2:3.5.11~dfsg-3

Fixed in version samba/2:3.6.15-1

Done: Ivo De Decker <ivo.dedecker@ugent.be>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-edu@lists.debian.org, Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>:
Bug#706434; Package cifs-utils. (Tue, 30 Apr 2013 08:57:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
New Bug report received and forwarded. Copy sent to debian-edu@lists.debian.org, Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>. (Tue, 30 Apr 2013 08:57:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: submit@bugs.debian.org
Subject: cifs-utils: Can the recommend on winbind be changed to suggests?
Date: Tue, 30 Apr 2013 10:56:10 +0200
Package:  cifs-utils
Version:  2:5.0-1
Severity: important
User:     debian-edu@lists.debian.org
Usertags: debian-edu

Hi.  We discovered to our surprise in Debian Edu that the PAM setup in
Wheezy now got pam_winbind enabled.  This is done by installing
libpam-winbind.  We tracked the cause down to installing cifs-utils by
default on all profiles (included in the education-common meta-package).

We want cifs-utils installed to allow CIFS mounting to work, and this
package recommend winbind, which in turn recommend libpam-winbind (and
libnss-winbind, but that is less of a problem.  As far as I can tell,
cifs-utils work just fine without winbind available, at least for our
use case.

I notice that winbind was added as a recommend to cifs-utils 2011-07-20
in version 2:5.0-1, with this changelog entry:

  * Install cifs.idmap upcall binary and manpage
    - Add libwbclient-dev to Build-Depends
    - Add winbind to Recommends

I do not really understand what that change is all about, so my request
might be misguided.  But in any case, I ask this simple question:

Can cifs-utils be changed to only suggest winbind instead of
recommending it?

-- 
Happy hacking
Petter Reinholdtsen



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>:
Bug#706434; Package cifs-utils. (Tue, 30 Apr 2013 10:04:24 GMT) Full text and rfc822 format available.

Acknowledgement sent to Holger Levsen <holger@layer-acht.org>:
Extra info received and forwarded to list. Copy sent to Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>. (Tue, 30 Apr 2013 10:04:24 GMT) Full text and rfc822 format available.

Message #10 received at 706434@bugs.debian.org (full text, mbox):

From: Holger Levsen <holger@layer-acht.org>
To: debian-edu@lists.debian.org, 706434@bugs.debian.org
Subject: Re: Bug#706434: cifs-utils: Can the recommend on winbind be changed to suggests?
Date: Tue, 30 Apr 2013 12:03:35 +0200
[Message part 1 (text/plain, inline)]
Hi,

On Dienstag, 30. April 2013, Petter Reinholdtsen wrote:
> Hi.  We discovered to our surprise in Debian Edu that the PAM setup in
> Wheezy now got pam_winbind enabled.

(which breaks our login)

> I do not really understand what that change is all about, so my request
> might be misguided.  But in any case, I ask this simple question:
> 
> Can cifs-utils be changed to only suggest winbind instead of
> recommending it?

Looking at these relations, I (instead) wonder whether winbind really should 
recommend libpam-winbind !?


cheers,
	Holger


[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>:
Bug#706434; Package cifs-utils. (Wed, 01 May 2013 08:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ivo De Decker <ivo.dedecker@ugent.be>:
Extra info received and forwarded to list. Copy sent to Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>. (Wed, 01 May 2013 08:51:05 GMT) Full text and rfc822 format available.

Message #15 received at 706434@bugs.debian.org (full text, mbox):

From: Ivo De Decker <ivo.dedecker@ugent.be>
To: Holger Levsen <holger@layer-acht.org>, 706434@bugs.debian.org
Cc: debian-edu@lists.debian.org
Subject: Re: [Pkg-samba-maint] Bug#706434: cifs-utils: Can the recommend on winbind be changed to suggests?
Date: Wed, 1 May 2013 10:47:16 +0200
On Tue, Apr 30, 2013 at 12:03:35PM +0200, Holger Levsen wrote:

Hi Holger,

> > Hi.  We discovered to our surprise in Debian Edu that the PAM setup in
> > Wheezy now got pam_winbind enabled.
> 
> (which breaks our login)

Do you have any idea how pam_winbind is breaking your login? Is there an easy
way to reproduce this?


> > I do not really understand what that change is all about, so my request
> > might be misguided.  But in any case, I ask this simple question:
> > 
> > Can cifs-utils be changed to only suggest winbind instead of
> > recommending it?
> 
> Looking at these relations, I (instead) wonder whether winbind really should 
> recommend libpam-winbind !?

In squeeze, the winbind pam and nss modules are in the winbind package. For
wheezy, winbind recommends libpam-winbind and libnss-winbind to make sure
upgrades from squeeze to wheezy pull in those modules to avoid breaking
existing setups.
Some users even requested that this relation be upgraded to depends (#674853),
which we didn't do.

Post wheezy, this recommends can be lowered.



Cheers,

Ivo




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>:
Bug#706434; Package cifs-utils. (Mon, 06 May 2013 23:48:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Luk Claes <luk@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>. (Mon, 06 May 2013 23:48:04 GMT) Full text and rfc822 format available.

Message #20 received at 706434@bugs.debian.org (full text, mbox):

From: Luk Claes <luk@debian.org>
To: Ivo De Decker <ivo.dedecker@ugent.be>, 706434@bugs.debian.org
Cc: Holger Levsen <holger@layer-acht.org>, debian-edu@lists.debian.org
Subject: Re: [Pkg-samba-maint] Bug#706434: Bug#706434: cifs-utils: Can the recommend on winbind be changed to suggests?
Date: Tue, 07 May 2013 01:45:33 +0200
reassign 706434 winbind
thanks mate

Reassigning bug to winbind as the recommends on winbind is to make sure
everything works when recommends are installed.

Cheers

Luk

On 05/01/2013 10:47 AM, Ivo De Decker wrote:
> On Tue, Apr 30, 2013 at 12:03:35PM +0200, Holger Levsen wrote:
> 
> Hi Holger,
> 
>>> Hi.  We discovered to our surprise in Debian Edu that the PAM setup in
>>> Wheezy now got pam_winbind enabled.
>>
>> (which breaks our login)
> 
> Do you have any idea how pam_winbind is breaking your login? Is there an easy
> way to reproduce this?
> 
> 
>>> I do not really understand what that change is all about, so my request
>>> might be misguided.  But in any case, I ask this simple question:
>>>
>>> Can cifs-utils be changed to only suggest winbind instead of
>>> recommending it?
>>
>> Looking at these relations, I (instead) wonder whether winbind really should 
>> recommend libpam-winbind !?
> 
> In squeeze, the winbind pam and nss modules are in the winbind package. For
> wheezy, winbind recommends libpam-winbind and libnss-winbind to make sure
> upgrades from squeeze to wheezy pull in those modules to avoid breaking
> existing setups.
> Some users even requested that this relation be upgraded to depends (#674853),
> which we didn't do.
> 
> Post wheezy, this recommends can be lowered.
> 
> 
> 
> Cheers,
> 
> Ivo
> 
> _______________________________________________
> Pkg-samba-maint mailing list
> Pkg-samba-maint@lists.alioth.debian.org
> http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pkg-samba-maint




Bug reassigned from package 'cifs-utils' to 'winbind'. Request was from Luk Claes <luk@debian.org> to control@bugs.debian.org. (Mon, 06 May 2013 23:48:07 GMT) Full text and rfc822 format available.

No longer marked as found in versions cifs-utils/2:5.0-1. Request was from Luk Claes <luk@debian.org> to control@bugs.debian.org. (Mon, 06 May 2013 23:48:07 GMT) Full text and rfc822 format available.

Marked as found in versions 2:3.5.11~dfsg-3. Request was from Ivo De Decker <ivo.dedecker@ugent.be> to control@bugs.debian.org. (Tue, 07 May 2013 07:36:07 GMT) Full text and rfc822 format available.

Reply sent to Ivo De Decker <ivo.dedecker@ugent.be>:
You have taken responsibility. (Thu, 09 May 2013 10:36:09 GMT) Full text and rfc822 format available.

Notification sent to Petter Reinholdtsen <pere@hungry.com>:
Bug acknowledged by developer. (Thu, 09 May 2013 10:36:09 GMT) Full text and rfc822 format available.

Message #31 received at 706434-close@bugs.debian.org (full text, mbox):

From: Ivo De Decker <ivo.dedecker@ugent.be>
To: 706434-close@bugs.debian.org
Subject: Bug#706434: fixed in samba 2:3.6.15-1
Date: Thu, 09 May 2013 10:33:17 +0000
Source: samba
Source-Version: 2:3.6.15-1

We believe that the bug you reported is fixed in the latest version of
samba, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 706434@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Ivo De Decker <ivo.dedecker@ugent.be> (supplier of updated samba package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 09 May 2013 11:55:03 +0200
Source: samba
Binary: samba samba-common-bin samba-common samba-tools smbclient swat samba-doc samba-doc-pdf libpam-smbpass libsmbclient libsmbclient-dev winbind libpam-winbind libnss-winbind samba-dbg libwbclient0 libwbclient-dev
Architecture: source amd64 all
Version: 2:3.6.15-1
Distribution: unstable
Urgency: high
Maintainer: Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>
Changed-By: Ivo De Decker <ivo.dedecker@ugent.be>
Description: 
 libnss-winbind - Samba nameservice integration plugins
 libpam-smbpass - pluggable authentication module for Samba
 libpam-winbind - Windows domain authentication integration plugin
 libsmbclient - shared library for communication with SMB/CIFS servers
 libsmbclient-dev - development files for libsmbclient
 libwbclient-dev - Samba winbind client library - development files
 libwbclient0 - Samba winbind client library
 samba      - SMB/CIFS file, print, and login server for Unix
 samba-common - common files used by both the Samba server and client
 samba-common-bin - common files used by both the Samba server and client
 samba-dbg  - Samba debugging symbols
 samba-doc  - Samba documentation
 samba-doc-pdf - Samba documentation in PDF format
 samba-tools - Samba testing utilities
 smbclient  - command-line SMB/CIFS clients for Unix
 swat       - Samba Web Administration Tool
 winbind    - Samba nameservice integration server
Closes: 674853 706434 707042
Changes: 
 samba (2:3.6.15-1) unstable; urgency=high
 .
   * Team upload.
   * New upstream bugfix release. Closes: #707042
   * Update VCS URL's for new git repo.
   * The recommends for the separate libnss-winbind and libpam-winbind
     packages needed for the upgrade of winbind from squeeze to wheezy are no
     longer needed. Lowering them to suggests.
     Closes: #706434, #674853
Checksums-Sha1: 
 bb1f951dd2748e5c74eb28b815680eb62a51eefb 3067 samba_3.6.15-1.dsc
 a9f6dba7f9db151227488c63fae241bf11bdfa56 26225360 samba_3.6.15.orig.tar.xz
 722186167d2e06693fb673367c0821d4d9fd48af 393941 samba_3.6.15-1.debian.tar.gz
 e73fa871beadfaf2fd6a992b3d2fd1d38df39cf5 4254806 samba_3.6.15-1_amd64.deb
 4079cd666f3fa7d6be6693eba48592cfc301d519 3320832 samba-common-bin_3.6.15-1_amd64.deb
 9ffa0162bc6d3c38417e7658a55c3396010e27d5 232690 samba-common_3.6.15-1_all.deb
 4e78c26fd5152802d10c0b1320c8ca5845f5d6cf 5646452 samba-tools_3.6.15-1_amd64.deb
 a2de75f2fba0d3ed53e3ad42ab04007d32756d2a 5721916 smbclient_3.6.15-1_amd64.deb
 c20f935338bc355b922d6336e20ff091d7093d83 1720398 swat_3.6.15-1_amd64.deb
 d0697cdc355937e10d1d96030c9b48660e2cc380 5790610 samba-doc_3.6.15-1_all.deb
 ccc02ece3f4f9ca8e8af6748c39e0a65552fe28f 7065804 samba-doc-pdf_3.6.15-1_all.deb
 0ca37c514e799698173bdaf49a47cc467a1cdedc 682900 libpam-smbpass_3.6.15-1_amd64.deb
 07c1fc531322c6e7ebbc92b6355871e31bff0b31 1536600 libsmbclient_3.6.15-1_amd64.deb
 ade8c7ade7b5be2e1fd54996095a87a0f73e14e2 1866194 libsmbclient-dev_3.6.15-1_amd64.deb
 2bfdb770499fe76edb20752417f8f81136ce9687 2569306 winbind_3.6.15-1_amd64.deb
 c1b2538f2e99eadcfae5e93128bcd9bd376bfed4 102416 libpam-winbind_3.6.15-1_amd64.deb
 203b1adc24b64ff9767bedec24a5be416dd57ddf 553068 libnss-winbind_3.6.15-1_amd64.deb
 f1f8ece71250f56dd7fec4d720a9c49993be46df 74916252 samba-dbg_3.6.15-1_amd64.deb
 f4dbf9d05a777076ec5bae88e5144f8cf8709c53 95652 libwbclient0_3.6.15-1_amd64.deb
 213031ce4d65fb302bd5c49833b68b678fe93239 83336 libwbclient-dev_3.6.15-1_amd64.deb
Checksums-Sha256: 
 82fa5125c7b9c56117574f93485a3f5fb8ae61b65e48a0a9e24e077492e63b80 3067 samba_3.6.15-1.dsc
 2a65833ab4288b7b80c5a083131b1a6f2930d6123b6c690c065feb5b79c9dc55 26225360 samba_3.6.15.orig.tar.xz
 a6e3e569ef8e80701593800202dccc41b6bbe063a7139f0ac1faf4ceb924f5da 393941 samba_3.6.15-1.debian.tar.gz
 7770b76870a6f20297ea1a494870b31cab7b318f1b60c71fd060ec524aa352bd 4254806 samba_3.6.15-1_amd64.deb
 bdf6086be44602f5539832901dcc9e9ec143343e58571d54ad48da299a77849f 3320832 samba-common-bin_3.6.15-1_amd64.deb
 8f924ad3ee1dddbbf3dbb2337fc11d3e44e951272ae3951a0c222cfb054fa47f 232690 samba-common_3.6.15-1_all.deb
 a1396c779143b4fa2c7fe64931c5f4d7fdaf5f108d3b2ea32db771c350f2a157 5646452 samba-tools_3.6.15-1_amd64.deb
 1f24ff70410d36b91ebe45b977c6a315e546e998dc3626b11f6078d36853323f 5721916 smbclient_3.6.15-1_amd64.deb
 092703361611c5d367e5339db6c095740071356a8d88dc10cca223fd7a3746cf 1720398 swat_3.6.15-1_amd64.deb
 08e41ebea6cc44a82c1d9ad8bbb22fd9f12ecdb2f29ef711d8b2e9d8a04b5680 5790610 samba-doc_3.6.15-1_all.deb
 57fc43723fa940f5c70796b54c9e842177395b076c2e9b30c05fb58cae59dd4d 7065804 samba-doc-pdf_3.6.15-1_all.deb
 69c1eb67604f1496c376a63c017a103eacc5182507a42abc51026697b72da8c8 682900 libpam-smbpass_3.6.15-1_amd64.deb
 27d02f9e4fcf97139ac3718e33bcca1f636c9b84ed930a5e364fc042e7da2631 1536600 libsmbclient_3.6.15-1_amd64.deb
 5f96c6bf908160c6b08e6259b8ddf8a1acf8afabbe73db37325b5c384d008549 1866194 libsmbclient-dev_3.6.15-1_amd64.deb
 1efa6bef872eb8ee8560232584f243e0736bac4fcd0ec67fa726d06a7137b299 2569306 winbind_3.6.15-1_amd64.deb
 85482d0445e6fea5c9d4d9ae84de136a21234c47265a644e30bb9dcdea2b70f2 102416 libpam-winbind_3.6.15-1_amd64.deb
 187761cc15d06fd33eb25dc4c549de6e835268385184426fcff5a10836bd7c3c 553068 libnss-winbind_3.6.15-1_amd64.deb
 35b3d5c20f291adc3d2031081287772a7bce7bdf7fcb8a549d44cfbde5ca8255 74916252 samba-dbg_3.6.15-1_amd64.deb
 24b685e5c9e815840de575b3996ce0b07c1123fc27170ae37eeef7eb6a220d0f 95652 libwbclient0_3.6.15-1_amd64.deb
 1060236b1bd12a55df2a69ccc32520fa35728833b1b3688179980d7d5e4879c8 83336 libwbclient-dev_3.6.15-1_amd64.deb
Files: 
 e696fd25697c966e6fc70902c2bf63dc 3067 net optional samba_3.6.15-1.dsc
 6fd97598d82642f567b275205eace081 26225360 net optional samba_3.6.15.orig.tar.xz
 d8cbd1cc1a353851161d241bf844cdf0 393941 net optional samba_3.6.15-1.debian.tar.gz
 2a111b19f7dc7a2e17830ab043cb9c85 4254806 net optional samba_3.6.15-1_amd64.deb
 f9f998112efbb748f2a0d2b3a4d1c40c 3320832 net optional samba-common-bin_3.6.15-1_amd64.deb
 b83e92002ae77cd7a3e8d76154f070ae 232690 net optional samba-common_3.6.15-1_all.deb
 8c02035f8c3b2bab134175fcd7fc4b99 5646452 net optional samba-tools_3.6.15-1_amd64.deb
 0c0177bce2bc5e54236c1064ce367385 5721916 net optional smbclient_3.6.15-1_amd64.deb
 f6478849b6299077d792afde2f517dc9 1720398 net optional swat_3.6.15-1_amd64.deb
 195b7aadc8161aa43e3a59fc432a8f04 5790610 doc optional samba-doc_3.6.15-1_all.deb
 cf22b9668548702e114766dd56a1801d 7065804 doc optional samba-doc-pdf_3.6.15-1_all.deb
 223482e4a659639f6c3e91b831087891 682900 admin extra libpam-smbpass_3.6.15-1_amd64.deb
 504a05bd36345602977da91ef028cf9d 1536600 libs optional libsmbclient_3.6.15-1_amd64.deb
 68da57eb996b425dddbd0db9c9e8f9ca 1866194 libdevel extra libsmbclient-dev_3.6.15-1_amd64.deb
 e571a9b6fa717198fa71054dd04b31f2 2569306 net optional winbind_3.6.15-1_amd64.deb
 e565e6c58f9cd33cfcb7525dd42c3d9d 102416 net optional libpam-winbind_3.6.15-1_amd64.deb
 3a211dfaad846b998e7e5ef1244761cc 553068 net optional libnss-winbind_3.6.15-1_amd64.deb
 0faf1c29046af213e549b2db02757c1e 74916252 debug extra samba-dbg_3.6.15-1_amd64.deb
 15d2855264bc69a13d4456c4c43b92ad 95652 libs optional libwbclient0_3.6.15-1_amd64.deb
 22bccbebe2612cf408b94b46dcf58895 83336 libdevel optional libwbclient-dev_3.6.15-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBAgAGBQJRi3bGAAoJEKxAu1iXBOr8pVIP/1uEG49ckUEid3aZTbdwnFSG
aKtCPJbzgVuY1klXGLw3w9ExfqaIqXTNXgkNVdOohIVdz3IAy6PCigo9YmcBUYsM
4UP5c5nTspomMVz23ipKUlfavnrN9e6yRItDfiRkjyWq3JEpa4YBugdcEtYrGbn6
ylwDwXUHvtKuXgn4+WNQw/t6MJjaZAy9HH1kpsfp7OHnzHQdzIThIxptd1aOf5E7
EBXDxLyblYCr+zb+31LGAzscLJPRGmoM9XpTWS3xON9EnytplbJ2s/Mo/66AAuPr
VSBCiGlJn5MF/crAIktudhrbT7qBd4GbGTV51V2LygKOq4CLZLLVWrOjDCru6dX3
BwS9jf5+wQXIVMdijMsiFH2mblKCqglYTRdozLGDfRwuFdYkRghk3djgRbgzXZMM
oEgBz3cDEMy/FklIpAtHnxAXNsfqGKARFW70sLzp638MqbEMh9R/YlMbeDUDCAOa
MTOGx9INp+kRiTi/tioTiJgCCXr8djirmLUShH2xQX0enpF/EBQnIh1Ys/HK46Kv
PWTpvZvxTQSFqpw3NQexfxl79vGDd2CkMaqisqlrX9UxNGYaFE2P4HqoQ1HI4U3r
kTMlrScJWZuOa/0hHwyElO+mxYLZofKmU33wyuUA2I96HDHM4fqdtW1/qXwIPu10
NBwLDO6RzAY6FQSd/qRk
=BkwU
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 20 Jun 2013 07:37:34 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 03:27:02 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.